### Method

# FwupdPlugin HidDevice parse_descriptor

since: 1.9.4

#### Declaration [src]

    FuHidDescriptor*
    fu_hid_device_parse_descriptor (
      FuHidDevice* self
      GError** error
    )

#### Description [src]

Parses the HID descriptor.

Available since: 1.9.4

#### Return value

Type: `FuHidDescriptor`

A `FuHidDescriptor`, or `NULL` for error.

The caller of the method takes ownership of the data, and is responsible for freeing it.